Subject: bug#64917: closed (Re: bug#64917: 30.0.50; c-ts-mode throws warnings about missing cpp support)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 09 Aug 2023 15:29:01 +0000

Your bug report

#64917: 30.0.50; c-ts-mode throws warnings about missing cpp support

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64917: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64917
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64917: 30.0.50; c-ts-mode throws warnings about missing cpp support
From: Robert Pluim <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Wed, 09 Aug 2023 17:27:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

>>>>> On Thu, 03 Aug 2023 11:13:40 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: [email-masked]
    >> Date: Fri, 28 Jul 2023 15:31:14 +0200
    >> 
    >> >>>>> On Fri, 28 Jul 2023 15:11:33 +0300, Eli Zaretskii <[email-masked]> said:
    >> 
    Eli> tags 64917 notabug
    Eli> thanks
    Eli> Please install the C++ grammar as well.  Those two go together because
    Eli> some *.h files could be C or C++, and we can only test that at run
    Eli> time.
    >> 
    >> I had no intention of installing the C++ grammar, but I guess I have
    >> no choice.
    >> 
    >> Some indication of that requirement at install time would help (as
    >> well as an indication when installing that the grammar to install is
    >> called 'cpp', not 'c++')

    Eli> I don't really see a good place for mentioning this in a way that will
    Eli> be discoverable enough.  Any suggestions?

I donʼt either. Closing

Robert
-- 

Subject: 30.0.50; c-ts-mode throws warnings about missing cpp support
From: Robert Pluim <[email-masked]>
To: [email-masked]
Date: Fri, 28 Jul 2023 11:14:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I built master with tree-sitter support, and installed the c-language
grammar using M-x treesit-install-language-grammar. I have
libtree-sitter-c.so in ~/.emacs.d/tree-sitter

I restarted emacs, visited src/xdisp.c, and did M-x c-ts-mode, which
popped up a *Warnings* buffer containing:

⛔ Warning (treesit): Cannot activate tree-sitter, because language grammar for cpp is unavailable (not-found): (libtree-sitter-cpp libtree-sitter-cpp.0 libtree-sitter-cpp.0.0 libtree-sitter-cpp.so libtree-sitter-cpp.so.0 libtree-sitter-cpp.so.0.0) No such file or directory
⛔ Warning (treesit): Cannot activate tree-sitter, because language grammar for cpp is unavailable (not-found): (libtree-sitter-cpp libtree-sitter-cpp.0 libtree-sitter-cpp.0.0 libtree-sitter-cpp.so libtree-sitter-cpp.so.0 libtree-sitter-cpp.so.0.0) No such file or directory

which is less than desirable (althoug `major-mode' is c-ts-mode, so I
guess things worked)

Robert

In GNU Emacs 30.0.50 (build 24, x86_64-pc-linux-gnu, GTK+ Version
 3.24.37, cairo version 1.16.0) of 2023-07-28 built on rltb
Repository revision: a5dda9614a01ca753f25c904ccf7781176245b3c
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
System Description: Debian GNU/Linux 12 (bookworm)

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ
JPEG JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11 XDBE XIM XINPUT2 XPM GTK3
ZLIB